- [HTTP request](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.participants/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.participants/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.participants/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.participants/list#body.request_body)
- [Response body](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.participants/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.participants/list#body.ListParticipantsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.participants/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.participants/list#try-it)

Lists the participants in a conference record. By default, ordered by join time and in descending order. This API supports `fields` as standard parameters like every other API. However, when the `fields` request parameter is omitted, this API defaults to `'participants/*,
nextPageToken'`. For more information, see [Work with participants](https://developers.google.com/workspace/meet/api/guides/participants).

### HTTP request

`GET https://meet.googleapis.com/v2/{parent=conferenceRecords/*}/participants`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `conferenceRecords/{conferenceRecord}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of participants to return. The service might return fewer than this value. If unspecified, at most 100 participants are returned. The maximum value is 250; values above 250 are coerced to 250. Maximum might change in the future. |
| `pageToken` | `string` Page token returned from previous List Call. |
| `filter` | `string` Optional. User specified filtering condition in [EBNF format](https://en.wikipedia.org/wiki/Extended_Backus%E2%80%93Naur_form). The following are the filterable fields: - `earliest_start_time` - `latest_end_time` For example, `latest_end_time IS NULL` returns active participants in the conference. |

### Request body

The request body must be empty.

### Response body

Response of participants.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "participants": [ { object (`https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.participants#Participant`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `participants[]` | ``object (`https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.participants#Participant`)`` List of participants in one page. |
| `nextPageToken` | `string` Token to be circulated back for further List call if current List doesn't include all the participants. Unset if all participants are returned. |
| `totalSize` | `integer` Total, exact number of `participants`. By default, this field isn't included in the response. Set the field mask in [SystemParameterContext](https://cloud.google.com/apis/docs/system-parameters) to receive this field in the response. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/meetings.space.created`
- `https://www.googleapis.com/auth/meetings.space.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).